package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import org.springframework.stereotype.Component;

@Component
public class FieldIntegerity implements Serializable{

	private String templateId;
	private String tempName;// 模板名
	private String field;//检测的字段
	private double fieldIntegrityRate;// 字段缺失率
	private int fieldInterval;// 字段缺失率统计间隔
	private int testCount;// 测试需要多少条数据
	private String pt;//渠道
	private String host;//地址
	private int port;//端口
	private String collection;//表名
	private String dBName;//数据库名
	private boolean startNow;
	private Date nextRun;
	private String spyderInfoId;
	public String getSpyderInfoId() {
		return spyderInfoId;
	}
	public void setSpyderInfoId(String spyderInfoId) {
		this.spyderInfoId = spyderInfoId;
	}
	public String getTemplateId() {
		return templateId;
	}
	public void setTemplateId(String templateId) {
		this.templateId = templateId;
	}
	public String getTempName() {
		return tempName;
	}
	public void setTempName(String tempName) {
		this.tempName = tempName;
	}
	
	public String getField() {
		return field;
	}
	public void setField(String field) {
		this.field = field;
	}
	public double getFieldIntegrityRate() {
		return fieldIntegrityRate;
	}
	public void setFieldIntegrityRate(double fieldIntegrityRate) {
		this.fieldIntegrityRate = fieldIntegrityRate;
	}
	public int getFieldInterval() {
		return fieldInterval;
	}
	public void setFieldInterval(int fieldInterval) {
		this.fieldInterval = fieldInterval;
	}
	public String getPt() {
		return pt;
	}
	public void setPt(String pt) {
		this.pt = pt;
	}
	public String getHost() {
		return host;
	}
	public void setHost(String host) {
		this.host = host;
	}
	public int getPort() {
		return port;
	}
	public void setPort(int port) {
		this.port = port;
	}
	public String getCollection() {
		return collection;
	}
	public void setCollection(String collection) {
		this.collection = collection;
	}
	public String getdBName() {
		return dBName;
	}
	public void setdBName(String dBName) {
		this.dBName = dBName;
	}
	public boolean isStartNow() {
		return startNow;
	}
	public void setStartNow(boolean startNow) {
		this.startNow = startNow;
	}
	public Date getNextRun() {
		return nextRun;
	}
	public void setNextRun(Date nextRun) {
		this.nextRun = nextRun;
	}
	
	public int getTestCount() {
		return testCount;
	}
	public void setTestCount(int testCount) {
		this.testCount = testCount;
	}
	@Override
	public String toString() {
		return "FieldIntegerity [templateId=" + templateId + ", tempName=" + tempName + ", field=" + field
				+ ", fieldIntegrityRate=" + fieldIntegrityRate + ", fieldInterval=" + fieldInterval + ", testCount="
				+ testCount + ", pt=" + pt + ", host=" + host + ", port=" + port + ", collection=" + collection
				+ ", dBName=" + dBName + ", startNow=" + startNow + ", nextRun=" + nextRun + "]";
	}
	
	
	
}
